<account-frame
  title="Log In"
  submitText="Log In"
  (onSubmit)="onSubmit.emit()"
  bottomLeftText="Return to Login"
  (bottomLeftAction)="goToLogin.emit()"
  [nonFieldErrors]="errorMessage"
>
  <app-text-field
    label="Verification Code"
    type="number"
    [ngrxFormControl]="form.controls.otp"
    [isFormSubmitted]="form.isSubmitted"
    returnKeyType="done"
  ></app-text-field>

  <StackLayout class="p-b-10" *ngIf="form.isInvalid && form.isSubmitted">
    <label
      *ngIf="form.errors._otp"
      class="text-label text-label--error m-b-10"
      textWrap="true"
      text="Enter the 6 digit code from your authenticator app"
    ></label
  ></StackLayout>

  <progress-indicator
    [inProgress]="hasStarted"
    [completed]="hasFinished"
  ></progress-indicator>
</account-frame>
